Subject: Re: bug#50457: 27.1; 'ada-mode'

From: Christophe <[email-masked]>
Date: Wed, 08 Sep 2021 13:20:04 +0200

Hello, and thanks to take care about.
I tried to run the build script in the ada-mode-7.1.8 directory, but:

"
gen_emacs_wisi_lr_parse.ads:37:53: missing ";"
gen_emacs_wisi_lr_parse.ads:37:66: generic private child packages not permitted
gen_emacs_wisi_lr_parse.ads:37:66: subprogram specification expected
...
schema-validators.ads:914:28: "XML_Grammars" is undefined
schema-validators.ads:914:28: possible misspelling of "XML_Grammar"
schema-validators.ads:916:19: "XML_Grammars" is undefined
schema-validators.ads:916:19: possible misspelling of "XML_Grammar"

   compilation of ada_mode_wisi_lalr_parse.ads failed
   compilation of ada_mode_wisi_lr1_parse.ads failed
   compilation of run_ada_lalr_parse.ads failed
   compilation of run_ada_lr1_parse.ads failed
   compilation of gpr_mode_wisi_parse.ads failed
   compilation of run_gpr_parse.ads failed
   compilation of gpr_query.adb failed

gprbuild: *** compilation phase failed
"
(I cut a lot the message above)
At this point I don't know what I can do.

-- 
Christophe BOLLARD